Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/proxychains-ng: install and install-config returns 1 in case of error

From: Linux User <fcolista_at_alpinelinux.org>
Date: Wed, 29 Apr 2015 07:58:16 +0000

---
 testing/proxychains-ng/APKBUILD | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)
diff --git a/testing/proxychains-ng/APKBUILD b/testing/proxychains-ng/APKBUILD
index 463a2ac..b40ba25 100644
--- a/testing/proxychains-ng/APKBUILD
+++ b/testing/proxychains-ng/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Francesco Colista <fcolista_at_alpinelinux.org>
 pkgname=proxychains-ng	
 pkgver=4.8.1
-pkgrel=0
+pkgrel=1
 pkgdesc="This tool provides proxy server support to any app."
 url="https://github.com/rofl0r/proxychains-ng"
 arch="all"
_at_@ -36,8 +36,7 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	make DESTDIR="$pkgdir" install-config
+	make DESTDIR="$pkgdir" install install-config || return 1
 	ln -s proxychains4 "$pkgdir"/usr/bin/proxychains
 }
 
-- 
2.3.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Apr 29 2015 - 07:58:16 GMT